#include <iostream>

using namespace std;
int main()
{
	int N,M;
	cin>>N>>M;
	int b;
	for(int i =0;i<N;i++)
	{
		cin>>b;
	}
	int g[N];
	int x[M];
	int y[M];
	for(int i =0;i<M;i++)
	{
		cin>>x[i]>>y[i];
		g[x[i]]+=1;
		g[y[i]]+=1;
	}
	int s=0;
	for(int i =0;i<N;i++)
	{
		s+=g[i];
	}
	cout<<s;
}